<?php
/*
Plugin Name: AWD Ajax Search
Plugin URI: http://www.affiliatewebdesigners.com
Description: Add ajax search functionality to datafeedr
Version: 1.0
Author: David Hilditch
Author URI: http://www.affiliatewebdesigners.com
License: Members of Affiliate Web Designers may use this plugin but may not distribute it to others
*/

add_action('dfr_full_update_complete', 'awd_ajax_search_postdfrupdate');


function awd_ajax_search_scripts_with_jquery()  
{  
    wp_register_script( 'awd_ajax_search-script', plugins_url( '/awd-ajax-search.js', __FILE__ ), array( 'jquery' ) );  
	wp_register_style( 'awd_ajax_search-style', plugins_url( '/awd-ajax-search.css', __FILE__ ), array(), '20130414', 'all' ); 
 
    wp_enqueue_script( 'awd_ajax_search-script' );  
    wp_enqueue_style( 'awd_ajax_search-style' );  
}  
add_action( 'wp_enqueue_scripts', 'awd_ajax_search_scripts_with_jquery' );  


function awd_ajax_search_postdfrupdate() {
	global $wpdb;
	// ensure that full text indexes are added to the tables after datafeedr update is complete
	$wpdb->query('ALTER TABLE ' . $wpdb->prefix . 'posts ADD FULLTEXT(post_title, post_content);');
	$wpdb->query('ALTER TABLE ' . $wpdb->prefix . 'dfr_shop_cats ADD FULLTEXT(name, description, path, keywords);');
	$wpdb->query('ALTER TABLE ' . $wpdb->prefix . 'dfr_shop_products ADD FULLTEXT(name, description, tags);');
}

?>