<?php
ini_set('html_errors', 0);
define('SHORTINIT', true);

require_once( dirname( dirname( dirname( dirname( __FILE__ )))) . '/wp-load.php' );
require_once( ABSPATH . WPINC . '/formatting.php' );
require_once( ABSPATH . WPINC . '/meta.php' );
require_once( ABSPATH . WPINC . '/post.php' );
wp_plugin_directory_constants();

if ($_POST['action'] == 'awd_ajax_search') {
	awd_ajax_search();
}

function awd_ajax_search() {
	global $wpdb;
	//todo: change all mysql queries to wpdb queries
	//todo: add wpdb->prefix to all queries
	//todo: use awd class names for all css

	if (isset($_POST['search'])) {
			$search = htmlentities($_POST['search']);
	};
	
	echo '<div class="ddfloatleft">';
	$fscatlimit = 10;
	/*
	$sql = "
	select p.cat_id, p.name as productname, p.price, p.saleprice, p.sprice, p.url, p.thumbnail, match(p.name, p.description,p.tags) against ('".mysql_real_escape_string($search)."') as maxscore
	from " . $wpdb->prefix . "dfr_shop_products p
	where match(p.name, p.description,p.tags) against ('".mysql_real_escape_string($search)."') 
	and price <> saleprice
	and saleprice <> 0
	limit 0,3
	";
	$req = $wpdb->get_results($sql, ARRAY_A);
	
	$i = 0;
	foreach ($req as $data)
	{
		if ($i == 0) {
			echo '<div class="ddheader">Top Sale Items</div>';
		}
		$i = $i + 1;
		echo '<div class="dditem"><img class="ddimage" src="'.htmlentities($data['thumbnail']).'" /><a target="_blank" href="'.htmlentities($data['url']).'"><div class="dditemname">'.$data['productname'].'</div><div class="pricing"><span class="ddsaleprice">&pound;'.htmlentities($data['price']).'</span> <span class="ddprice">&pound;'.htmlentities($data['saleprice']).'</span></div></a></div>';
		$fscatlimit = $fscatlimit - 1;
	}
	*/
	$sql = "
	select p2.name as topcat, p1.name as parentcat, c.name, c.site_link, c.thumbnail, c.pct
	from " . $wpdb->prefix . "dfr_shop_cats c 
	left join " . $wpdb->prefix . "dfr_shop_cats p1 on c.parent = p1.id
	left join " . $wpdb->prefix . "dfr_shop_cats p2 on p1.parent = p2.id
	where match(c.name, c.description,c.path,c.keywords) against ('".mysql_real_escape_string($search)."') 
	order by c.pct desc
	limit 0,". $fscatlimit;
	//echo "<div style='display:hidden!important'>".$sql."</div>";
	$req = $wpdb->get_results($sql, ARRAY_A);
	echo '<div class="ddheader">Top Categories</div>';
	foreach ($req as $data)
	{
			echo '<div class="dditem"><img class="ddimage" src="'.htmlentities($data['thumbnail']).'" /><a href="/'.htmlentities($data['site_link']).'"><div class="dditemname">'.htmlentities($data['name']).'</div><div class="ddnumitemsincat">'.htmlentities($data['pct']).' items</div></a></div>';
	//        echo '<div class="dditem"><img class="ddimage" src="'.htmlentities($data['thumbnail']).'" /><a href="/'.htmlentities($data['site_link']).'"><div class="dditemname">'.htmlentities($data['topcat']).'->'.htmlentities($data['parentcat']).'->'.htmlentities($data['name']).'</div><div class="ddnumitemsincat">'.htmlentities($data['pct']).' items</div></a></div>';
	//        echo '<li><a href="/'.htmlentities($data['site_link']).'" onclick="selected(this.innerHTML);">'.htmlentities($data['topcat']).'->'.htmlentities($data['parentcat']).'->'.htmlentities($data['name']).'</a></li>';

	}
	echo '</div><div class="ddfloatleft">';

	$sql = "
	select p.cat_id, p.name as productname, p.price, p.saleprice, p.sprice, p.site_link, p.thumbnail, match(p.name, p.description,p.tags) against ('".mysql_real_escape_string($search)."') as maxscore
	from " . $wpdb->prefix . "dfr_shop_products p
	where match(p.name, p.description,p.tags) against ('".mysql_real_escape_string($search)."') 
	limit 0,10
	";

	$req = $wpdb->get_results($sql, ARRAY_A);
	$i = 0;
	foreach ($req as $data)
	{
		if ($i == 0) {
			echo '<div class="ddheader">Top Products</div>';
		}
		$i = $i + 1;
		echo '<div class="dditem"><img class="ddimage" src="'.htmlentities($data['thumbnail']).'" /><a href="/'.htmlentities($data['site_link']).'"><div class="dditemname">'.$data['productname'].'</div><div class="pricing"><span class="ddprice">&pound;'.htmlentities($data['sprice']).'</span></div></a></div>';
	}
	echo '</div>';
	$sql = "
	SELECT post_type, left(post_title, 100) as title, left(post_content, 200) as content, guid
	FROM " . $wpdb->prefix . "posts
	WHERE MATCH (post_title, post_content) AGAINST ('".mysql_real_escape_string($search)."')
	AND post_status = 'publish'
	and post_type <> 'nav_menu_item'
	and post_type <> 'reply'
	limit 0,7
	";
	$req = $wpdb->get_results($sql, ARRAY_A);
	$i = 0;
	foreach ($req as $data)
	{
		if ($i == 0) {
			echo '<div class="ddfloatright"><div class="ddheader">Top Community Items</div>';
		}
		$i = $i + 1;
		echo '<div class="dditem"><img class="ddimage" src="'.  '/wp-content/plugins/awd-ajax-search/img/dropdownimages/' .htmlentities($data['post_type']).'.png" /><a href="'.htmlentities($data['guid']).'"><div class="dditemname">'.$data['title'].'</div><div class="ddsnippet">'. substr(strip_tags($data['content']), 0, 70) .'...</div></a></div>';
	}
	if ($i > 0) {
		echo '</div>';
	}
	die();
}
?>

